Dža ko lil

City Teleport

Integriruj

Modelosko id image-apps-v2/city-teleport
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/image-apps-v2/city-teleport?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "person_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "city_name": "Paris"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Kava mangipen: $0.04 40 API krediti · ≈ ₽4.30 Phir les kate

Lel API klidin
Utility · Kip

Tiro prvo rezultato si kate

Ker tele jekh mangipen thaj phir les tire API klidinosa. E rezultatur si kopirime amare arakhipneste, vično vaj 7 dives bilačhes.

Ker jekh mangipen

O kontrolura kerde si katar e schemaske. O kodo thaj e cena menjinen sar tu len menjines.

•trubul
Čhiv jekh fajl, vaj

URL e fotarako savo sikavel e manušes.

•trubul

Forosko nav savo te avel kana naj deno city_image_url.

Rezultatosko aspect ratio ko 4K.

Lučhe city_image_url · photo_shot · camera_angle · enable_safety_checker
Čhiv jekh fajl, vaj

Personalizirime forosko scena ande savi o manuš si mešardo, opcionalno dena sar fondo-kipesko URL.

photo_shot standardno medium_shot

Fotograficko šutosko tipo.

camera_angle standardno eye_level

Kamersko dikhavipen labarde vaš o šuto.

POST /run/image-apps-v2/city-teleport?wait=20 hesab → $0.04
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/image-apps-v2/city-teleport?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "person_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "city_name": "Paris"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Phandel kava mangipen

Tiro kluč ačhel kadale browsereste: bičhalel pes numa ko Doitong API thaj šuvav pes (localStorage) numa te tiknes Remember. Le jekh API ključ

Palal City Teleport

Mangela dženeski slika (`person_image_url`) thaj jekh `city_name`. Šaj te den `city_image_url` te amalarel e dženes ande tumari scena. `photo_shot` si osht framing opcije, extreme close-up dži full body, a `camera_angle` si osht opcije sar low angle vaj bird's eye view. `aspect_ratio` thaj `enable_safety_checker` si vi dostupne.

Parametra

NavTip standardnoMuklo Vakeripe
person_image_urltrubul
Tipurl · image
URL e fotarako savo sikavel e manušes.
city_image_urlopcionalno
Tipurl · image
Personalizirime forosko scena ande savi o manuš si mešardo, opcionalno dena sar fondo-kipesko URL.
city_nametrubul
Tipstring
Forosko nav savo te avel kana naj deno city_image_url.
photo_shotopcionalno
Tipenum
standardnomedium_shot
extreme_close_upclose_upmedium_close_upmedium_shotmedium_long_shotlong_shotextreme_long_shotfull_body
Fotograficko šutosko tipo.
camera_angleopcionalno
Tipenum
standardnoeye_level
eye_levellow_anglehigh_angledutch_anglebirds_eye_viewworms_eye_viewoverheadside_angle
Kamersko dikhavipen labarde vaš o šuto.
aspect_ratioopcionalno
Tipobject
Rezultatosko aspect ratio ko 4K.
aspect_ratio.ratioopcionalno
Tipenum
standardno1:1
1:116:99:164:33:4
Rezultatosko aspect ratio ko 4K rezolucija.
enable_safety_checkeropcionalno
Tipboolean
standardnotrue
Screening šaj te avel relaksirime te postavil pes false, numa kana o manglo si autorizuime.
trubul

Fajloske parametra lel jekh publikano https:// URL, jekh data: URI dži 10 MB, vaj e file_url uploadoski. Fajlura

Rezultato

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "image-apps-v2/city-teleport",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 40,
    "usd": "0.04",
    "charged": 40,
    "refunded": 0
  },
  "input": {
    "person_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "city_name": "Paris"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ]
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Tire fajlura, tiro alosaripenSako outputs[].url si kopija amare arakhipneste: vično (čargeime per GB-mase) vaj 7 dives bilačhes, tiro kontoskere regulaciatar vaj ?storage=.
Sa jekh forma sako modeloθartype, url, content_type, width, height thaj duration, varesave imajinake, video thaj audio-ke. output si o modelosko korkoro resultosko objekto.
Outputoske fieldura
images
array of object {url, content_type, file_name, file_size, width, height}Kipo savo sikavel e manušes ankalado ko forosko scena.

Bute modeli: Editime e kipesko

AI agentenge: kadija rig sar Markdown si kate https://doitong.com/rom/developers/models/image-apps-v2/city-teleport.md. Sa e modelura thaj e gidura: https://doitong.com/developers/llms.txt